'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var Registry = exports.Registry = {};

var registerNativeComponentClass = exports.registerNativeComponentClass = function registerNativeComponentClass(name, qmlContent) {
  var defaultProp = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 'data';

  // allow overwriting registered component
  Registry[name] = { qmlContent: qmlContent, defaultProp: defaultProp };
};

var registerQtComponentClass = exports.registerQtComponentClass = function registerQtComponentClass(name, component) {
  var defaultProp = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 'data';

  // allow overwriting registered component
  Registry[name] = { component: component, defaultProp: defaultProp };
};